Crypto Addresses

Manage a customer’s externally hosted cryptocurrency addresses.

Coming Soon*

Retrieve a customer's crypto address

get
/v1/customers/{customerId}/crypto-addresses/{cryptoAddressId}

Retrieve a customer's crypto address by ID and customer ID

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
customerIdstring · uuidRequired

The ID of the customer

cryptoAddressIdstring · uuidRequired

The ID of the crypto address to retrieve

Responses
chevron-right
200

OK

application/json
cryptoAddressIdstring · uuidRequiredExample: 51e259b1-e80d-45e4-9192-cc17b0d4e02a
clientIdstring · uuidRequiredExample: 67700be4-e390-4850-aaa6-1e7ab769b251
customerIdstring · uuidRequiredExample: b1315853-1463-46fa-90b6-6ed03fd049b4
statusstring · enumRequiredExample: ACTIVEPossible values:
currencystring · nullableRequiredExample: USDT
networkstringRequiredExample: ETH
addressstringRequiredExample: 0xd825739160A2CBeeD8a1C27835A47dDB6da766d1
createdAtstring · date-timeRequiredExample: 2026-02-21T00:18:58.622Z
updatedAtstring · date-timeRequiredExample: 2026-02-21T00:18:58.622Z
vaspIdstring · uuid · nullableOptionalExample: 72fa2b7d-4141-4ab8-a155-01cf01808482
vaspNamestring · nullableOptionalExample: VASP Company Name
vaspWebsitestring · uri · nullableOptionalExample: https://www.vasp.com
sourceWalletTypestring · enumRequiredPossible values:
customerReferencestring · max: 256 · nullableOptionalExample: REF-2026-000123
get
/v1/customers/{customerId}/crypto-addresses/{cryptoAddressId}
200

OK

List customer's crypto addresses

get
/v1/customers/{customerId}/crypto-addresses

List crypto addresses for a customer by customer ID and optional filters

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
customerIdstring · uuidRequired

The ID of the customer

Query parameters
currencystringOptional

Filter by currency

networkstringOptional

Filter by network

addressstringOptional

Filter by address

customerReferencestringOptional

Filter by customer reference

statusstring · enumOptional

Filter by status

Possible values:
afterstringOptional

When provided, specifies the last item returned in previous page, used to fetch the next page. Fetches the first page when omitted.

limitstring · integerOptional

When provided, specifies the number of items to return in the page. Uses default page size of 10 when omitted.

sortFieldstring · enumOptional

Will sort the returned data using the specified field.

Possible values:
sortDirectionstring · enumOptional

Specifies the sort direction for the sortField.

Possible values:
Responses
chevron-right
200

OK

application/json
afterstring · uuid · nullableRequired

The token of the last item in the response

Example: 72fa2b7d-4141-4ab8-a155-01cf01808482
totalCountstring · integerRequired

The total number of items in the entire filtered data set

Example: 11
get
/v1/customers/{customerId}/crypto-addresses
200

OK

Add a crypto address for a customer

post
/v1/customers/{customerId}/crypto-addresses

Add a crypto address for a customer

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
customerIdstring · uuidRequired

The customer ID of the customer

Body
currencystringOptional

Crypto currency (e.g. "BTC"). If omitted, the address applies to all currencies supported on the specified network.

Example: USDT
networkstringRequiredExample: ETH
addressstringRequiredExample: 0xd825739160A2CBeeD8a1C27835A47dDB6da766d1
vaspIdstring · uuidOptional

Required if sourceWalletType is VASP. Needs to be a valid vaspId from the following API https://docs.aquanow.io/pay/api-endpoints/wallet-types-api

Example: 72fa2b7d-4141-4ab8-a155-01cf01808482
vaspNamestringOptional

Required if sourceWalletType is OTHER_VASP, otherwise must be omitted

Example: VASP Company Name
vaspWebsitestring · uriOptional

Optional if sourceWalletType is OTHER_VASP, otherwise must be omitted

Example: https://www.vasp.com
sourceWalletTypestring · enumRequiredPossible values:
customerReferencestring · max: 256OptionalExample: REF-2026-000123
Responses
chevron-right
200

OK

application/json
cryptoAddressIdstring · uuidRequiredExample: f03f09b8-c49f-401a-b19e-4194e527fb38
customerIdstring · uuidRequiredExample: 09204aa8-376d-45ed-821b-9783d35ed1fd
statusstring · enumRequiredExample: ACTIVEPossible values:
post
/v1/customers/{customerId}/crypto-addresses

Remove a customer's crypto address

delete
/v1/customers/{customerId}/crypto-addresses/{cryptoAddressId}

Remove a customer's crypto address by ID

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
customerIdstring · uuidRequired

The ID of the customer

cryptoAddressIdstring · uuidRequired

The ID of the crypto address to remove

Responses
chevron-right
200

OK

application/json
cryptoAddressIdstring · uuidRequiredExample: f03f09b8-c49f-401a-b19e-4194e527fb38
customerIdstring · uuidRequiredExample: 09204aa8-376d-45ed-821b-9783d35ed1fd
statusstring · enumRequiredExample: REMOVEDPossible values:
delete
/v1/customers/{customerId}/crypto-addresses/{cryptoAddressId}
200

OK

Last updated